原创

错误补全计划

温馨提示:
本文最后更新于 2019年01月07日,已超过 1,926 天没有更新。若文章内的图片失效(无法正常加载),请留言反馈或直接联系我

1:composer update 错误:  The Process class relies on proc_open, which is not available on your PHP installation.

原因是process类依赖proc_open函数,需要到php.ini中的disable_functions去除这个函数限制

2:windows服务器运行代码连接数据库很慢

原因大概是windows服务器解析localhost域名有问题,需要把数据库地址改为127.0.0.1

3:composer update 组件升级不到最新版

发现一个问题,组件最新版为1.4.6,然后composer update一直只能升级1.4.5,一开始以为是镜像问题,后来切换镜像,删除composer.lock,vendor也无法升级,最后发现是因为1.4.6多了2个php扩展的依赖,导致composer 默认不升级

解决方法:强制指定为1.4.6,然后composer update,根据错误提示,安装php扩展,然后再composer update,升级成功

4:

正文到此结束
本文目录